/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE 
 |         NATIONAL SURVEY OF SUBSTANCE ABUSE TREATMENT SERVICES
 |                            (N-SSATS), 2016
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file. The metadata provided below are not stored 
 | in the SAS transport version of this data collection.  
 | Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
 IF (ACCRED  <= -1) THEN ACCRED  = .;
 IF (ANCILLARY  <= -1) THEN ANCILLARY  = .;
 IF (ASSESSMENT  <= -1) THEN ASSESSMENT  = .;

 IF (COMPSAT  <= -1) THEN COMPSAT  = .;
 IF (CTYPE1  <= -1) THEN CTYPE1  = .;
 IF (CTYPE2  <= -1) THEN CTYPE2  = .;
 IF (CTYPE3  <= -1) THEN CTYPE3  = .;
 IF (CTYPE4  <= -1) THEN CTYPE4  = .;
 IF (CTYPE6  <= -1) THEN CTYPE6  = .;
 IF (CTYPE7  <= -1) THEN CTYPE7  = .;
 IF (CTYPEHI1  <= -1) THEN CTYPEHI1  = .;
 IF (CTYPEHI2  <= -1) THEN CTYPEHI2  = .;
 IF (CTYPEML  <= -1) THEN CTYPEML  = .;
 IF (CTYPEOP  <= -1) THEN CTYPEOP  = .;
 IF (CTYPERC1  <= -1) THEN CTYPERC1  = .;
 IF (CTYPERC3  <= -1) THEN CTYPERC3  = .;
 IF (CTYPERC4  <= -1) THEN CTYPERC4  = .;
 IF (DETOX  <= -1) THEN DETOX  = .;
 IF (DUI_DWI  <= -1) THEN DUI_DWI  = .;
 IF (EARMARK  <= -1) THEN EARMARK  = .;
 IF (FEDOWN  <= -1) THEN FEDOWN  = .;
 IF (FEESCALE  <= -1) THEN FEESCALE  = .;
 IF (HINUM  <= -1) THEN HINUM  = .;
 IF (HOSPITAL  <= -1) THEN HOSPITAL  = .;
 IF (LANG  <= -1) THEN LANG  = .;
 IF (LANG1  <= -1) THEN LANG1  = .;
 IF (LANG2  <= -1) THEN LANG2  = .;
 IF (LANG3  <= -1) THEN LANG3  = .;
 IF (LANG4  <= -1) THEN LANG4  = .;
 IF (LANG5  <= -1) THEN LANG5  = .;
 IF (LANG6  <= -1) THEN LANG6  = .;
 IF (LANG7  <= -1) THEN LANG7  = .;
 IF (LANG8  <= -1) THEN LANG8  = .;
 IF (LANG9  <= -1) THEN LANG9  = .;
 IF (LANG10  <= -1) THEN LANG10  = .;
 IF (LANG11  <= -1) THEN LANG11  = .;
 IF (LANG12  <= -1) THEN LANG12  = .;
 IF (LANG13  <= -1) THEN LANG13  = .;
 IF (LANG14  <= -1) THEN LANG14  = .;
 IF (LANG15  <= -1) THEN LANG15  = .;
 IF (LANG16  <= -1) THEN LANG16  = .;
 IF (LANG17  <= -1) THEN LANG17  = .;
 IF (LANG18  <= -1) THEN LANG18  = .;
 IF (LANG19  <= -1) THEN LANG19  = .;
 IF (LANG20  <= -1) THEN LANG20  = .;
 IF (LANG21  <= -1) THEN LANG21  = .;
 IF (LANG22  <= -1) THEN LANG22  = .;
 IF (LANG23  <= -1) THEN LANG23  = .;
 IF (LANG24  <= -1) THEN LANG24  = .;
 IF (LANG25  <= -1) THEN LANG25  = .;
 IF (LANG26  <= -1) THEN LANG26  = .;
 IF (LICEN  <= -1) THEN LICEN  = .;
 IF (LOC5  <= -1) THEN LOC5  = .;
 IF (LOCS  <= -1) THEN LOCS  = .;
 IF (ONLYDUI  <= -1) THEN ONLYDUI  = .;
 IF (OPIOIDDETOX  <= -1) THEN OPIOIDDETOX  = .;
 IF (OPIOIDMAINT  <= -1) THEN OPIOIDMAINT  = .;
 IF (OPIOIDNAL  <= -1) THEN OPIOIDNAL  = .;
 IF (OPIOIDWDRAW  <= -1) THEN OPIOIDWDRAW  = .;
 IF (OPNUM  <= -1) THEN OPNUM  = .;
 IF (OTHER_SRVC  <= -1) THEN OTHER_SRVC  = .;
 IF (OTP  <= -1) THEN OTP  = .;
 IF (OTPALL  <= -1) THEN OTPALL  = .;
 IF (OWNERSHP  <= -1) THEN OWNERSHP  = .;
 IF (PAYASST  <= -1) THEN PAYASST  = .;
 IF (RCNUM  <= -1) THEN RCNUM  = .;
 IF (REVCHK1  <= -1) THEN REVCHK1  = .;
 IF (REVCHK2  <= -1) THEN REVCHK2  = .;
 IF (REVCHK3  <= -1) THEN REVCHK3  = .;
 IF (REVCHK5  <= -1) THEN REVCHK5  = .;
 IF (REVCHK8  <= -1) THEN REVCHK8  = .;
 IF (REVCHK10  <= -1) THEN REVCHK10  = .;
 IF (REVCHK15  <= -1) THEN REVCHK15  = .;
 IF (REVCHK17  <= -1) THEN REVCHK17  = .;
 IF (SIGNLANG  <= -1) THEN SIGNLANG  = .;
 IF (SRVC30  <= -1) THEN SRVC30  = .;
 IF (SRVC31  <= -1) THEN SRVC31  = .;
 IF (SRVC32  <= -1) THEN SRVC32  = .;
 IF (SRVC33  <= -1) THEN SRVC33  = .;
 IF (SRVC34  <= -1) THEN SRVC34  = .;
 IF (SRVC61  <= -1) THEN SRVC61  = .;
 IF (SRVC62  <= -1) THEN SRVC62  = .;
 IF (SRVC63  <= -1) THEN SRVC63  = .;
 IF (SRVC64  <= -1) THEN SRVC64  = .;
 IF (SRVC71  <= -1) THEN SRVC71  = .;
 IF (SRVC75  <= -1) THEN SRVC75  = .;
 IF (SRVC85  <= -1) THEN SRVC85  = .;
 IF (SRVC86  <= -1) THEN SRVC86  = .;
 IF (SRVC87  <= -1) THEN SRVC87  = .;
 IF (SRVC108  <= -1) THEN SRVC108  = .;
 IF (SRVC113  <= -1) THEN SRVC113  = .;
 IF (SRVC114  <= -1) THEN SRVC114  = .;
 IF (SRVC115  <= -1) THEN SRVC115  = .;
 IF (SRVC116  <= -1) THEN SRVC116  = .;

 IF (TESTING  <= -1) THEN TESTING  = .;
 IF (TRANSITION  <= -1) THEN TRANSITION  = .;
 IF (TREATMT  <= -1) THEN TREATMT  = .;
 */

RUN ;